﻿set seed = 12.
input program.
loop #i = 1 to 100.
   compute x = uniform(5).
   compute y = 0.5* x + normal(1).
   end case.
end loop.
end file.
end input program.

GRAPH
  /SCATTERPLOT(BIVAR)=x WITH y
  /MISSING=LISTWISE.

compute xt = trunc(x).
compute yt = trunc(y).

GRAPH
  /SCATTERPLOT(BIVAR)=xt WITH yt
  /MISSING=LISTWISE.

* Jitter-Diagrammerstellung in SPSS via GPL.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=xt yt MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: xt=col(source(s), name("xt"))
  DATA: yt=col(source(s), name("yt"))
  GUIDE: axis(dim(1), label("xt"))
  GUIDE: axis(dim(2), label("yt"))
  ELEMENT: point.jitter(position(xt*yt))
END GPL.

* R-Streudiagramm mit einstellbarem Jitter-Grad.
BEGIN PROGRAM R.
data <- spssdata.GetDataFromSPSS()
plot( jitter(data$xt, 4), jitter(data$yt, 4), main="Streudiagramm mit Jitter")
END PROGRAM.







