﻿* Encoding: UTF-8.
*Daten generieren.
SET RNG=MC SEED=13.
input program.
+ loop #i = 1 to 50.
     compute x = normal(1).
     compute y = x + normal(3).
-  end case.
+ end loop.
+ end file.
end input program.

compute nr = $casenum.
if (nr=25) y = y - 13.

VARIABLE LEVEL nr (nominal).

GRAPH
  /SCATTERPLOT(BIVAR)=x WITH y
  /MISSING=LISTWISE.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT y
  /METHOD=ENTER x
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS OUTLIERS(COOK).

COMPUTE filter_$=(nr <> 25).
FILTER BY filter_$.
EXECUTE.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT y
  /METHOD=ENTER x
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS OUTLIERS(COOK).

USE ALL.

* Robuste Regression per rlm und bisquare - Schätzer.
SPSSINC ROBUST REGR DEPENDENT = y  ENTER = x
  /OPTIONS MISSING=LISTWISE 
  /SAVE.

* Robuste Regression per rlm und Huber-M - Schätzer.
BEGIN PROGRAM R.
library(MASS)
casedata <- spssdata.GetDataFromSPSS()
HuberM <- rlm(formula = y ~ x, data = casedata, na.action = na.exclude)
summary(HuberM)
END PROGRAM.
