# Funktion zur Berechnung der Pearson-Korrelation

# Zum Testen zwei Vektoren mit r(x,y) = 0,8894574
# x <- c(1, 2, 3, 4, 5, 6, 7, 6, 5, 4, 3, 2, 1)
# y <- c(2, 2, 3, 4, 4, 5, 6, 4, 3, 3, 2, 1, 2)

pCor <- function(x, y) {
  xz <- x - mean(x)
  yz <- y - mean(y)
  c(cor = sum(xz*yz) / (sum(xz^2) * sum(yz^2))^0.5)
}
