﻿* Encoding: UTF-8.
*Daten generieren.
set seed = 100.
input program.
+ loop #i = 1 to 200.
     compute x = uniform(5).
     compute y = x + normal(2).
-  end case.
+ end loop.
+ end file.
end input program.

FREQUENCIES VARIABLES=y
  /FORMAT=NOTABLE
  /HISTOGRAM
  /ORDER=ANALYSIS.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT y
  /METHOD=ENTER x
  /SCATTERPLOT=(*ZRESID ,*ZPRED).

* Tobit-Regression mit den unzensierten Daten (zur Klärung des Parameters "Skalierung").
SPSSINC TOBIT REGR DEPENDENT = y 
  ENTER = x
  DISTRIBUTION=GAUSSIAN
  /OPTIONS MISSING=LISTWISE 
  /SAVE.

* Zensieren rechts.
RECODE y (2 thru hi = 2).

FREQUENCIES VARIABLES=y
  /FORMAT=NOTABLE
  /HISTOGRAM
  /ORDER=ANALYSIS.

* OLS-Regression mit den zensierten Daten.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT y
  /METHOD=ENTER x
  /SCATTERPLOT=(*ZRESID ,*ZPRED).

* Tobit-Regression mit den zensierten Daten.
SPSSINC TOBIT REGR DEPENDENT = y 
  ENTER = x
  UPPERBOUND=2 DISTRIBUTION=GAUSSIAN
  /OPTIONS MISSING=LISTWISE 
  /SAVE.

* Direkte Nutzung der R-Funktion tobit().
BEGIN PROGRAM R.
daten <- spssdata.GetDataFromSPSS()
tobit(formula = y ~ x, left = -Inf, right = 2, dist = "gaussian", data = daten, na.action = na.exclude) 
END PROGRAM.

